Apple and Firefox are Conspiratorial Cyberbullies

I am currently in an Apple-induced catch-22. I can’t update Firefox because my OS is too old. (Apparently OS X 10.4.11 just can’t handle the awesome power that is Firefox 4.) But I can’t upgrade from 10.4.11 to 10.whatever-the-fuck-it-is-now without first upgrading to 10.5, which I haven’t been able to find for under $180. Five minutes after I’ve installed Leopard (the English translation for 10.5), then I’ll be allowed to purchase yet another upgrade for only $30. Anyway, my computer is now feeling very inadequate and, as a result, is performing poorly.

This entry was posted in Uncategorized by Frank Moraes. Bookmark the permalink.

About Frank Moraes

Frank Moraes is a freelance writer and editor online and in print. He is educated as a scientist with a PhD in Atmospheric Physics. He has worked in climate science, remote sensing, throughout the computer industry, and as a college physics instructor. Find out more at About Frank Moraes.

Leave a Reply

Your email address will not be published.